Bug 684569 (CVE-2011-0726) - CVE-2011-0726 kernel: proc: protect mm start_code/end_code in /proc/pid/stat
Summary: CVE-2011-0726 kernel: proc: protect mm start_code/end_code in /proc/pid/stat
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0726
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110311,reported=20110313,sou...
Depends On: 684570 684571 684572 684573 684574
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-13 15:15 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:46 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:08:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0498 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-05-10 18:10:04 UTC
Red Hat Product Errata RHSA-2011:0500 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-05-10 17:18:23 UTC
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description Eugene Teo (Security Response) 2011-03-13 15:15:18 UTC
While mm->start_stack was protected from cross-uid viewing (commit
f83ce3e6b02d5e48b3a43b001390e2b58820389d), the start_code and end_code
values were not. This would allow the text location of a PIE binary to
leak, defeating ASLR.

Note that the value "1" is used instead of "0" for a protected value
since "ps", "killall", and likely other readers of /proc/pid/stat, take
start_code of "0" to mean a kernel thread and will misbehave. Thanks to
Brad Spengler for pointing this out.

https://lkml.org/lkml/2011/3/11/380

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-03-13 15:23:09 UTC
Statement:

Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance life-cycle,
https://access.redhat.com/support/policy/updates/errata/, therefore the fix for
this issue is not currently planned to be included in the future updates. Future kernel updates in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG may address this flaw.

Comment 4 Eugene Teo (Security Response) 2011-03-15 03:18:29 UTC
added to -mm tree: http://www.spinics.net/lists/mm-commits/msg82726.html

Comment 5 Eugene Teo (Security Response) 2011-04-11 03:55:27 UTC
Upstream commit:
http://git.kernel.org/linus/5883f57ca0008ffc93e09cbb9847a1928e50c6f3

Comment 6 errata-xmlrpc 2011-05-10 17:20:49 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0500 https://rhn.redhat.com/errata/RHSA-2011-0500.html

Comment 7 errata-xmlrpc 2011-05-10 18:11:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0498 https://rhn.redhat.com/errata/RHSA-2011-0498.html

Comment 8 errata-xmlrpc 2011-05-31 14:06:34 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html


Note You need to log in before you can comment on or make changes to this bug.